#ifndef MAIN_H
#define MAIN_H

// Power/Reset events
static u8 event = 0;

/*
 * Reboot back to loader
 */
void (*reload) () = (void (*) ()) 0x80001800;

/*
 * Called when Reset button is pressed
 */
static void reset_cb () { event = 2; }

struct wall_struct {
    int x, y;
	int x2, y2;
    int status;
	int movement;
	int move;
};

struct object_struct {
    int x, y, status, collisionx, collisiony, collisionx2, collisiony2, rotate, xspeed, yspeed, xdirection, xanglecounter, xangle;
	char* object;
};

#endif
